Bug 174514 - [MAINTAINER-UPDATE] dns//dnscrypt-proxy: update to 1.2.0
Summary: [MAINTAINER-UPDATE] dns//dnscrypt-proxy: update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-17 14:20 UTC by Leo Vandewoestijne
Modified: 2013-01-02 21:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.09 KB, patch)
2012-12-17 14:20 UTC, Leo Vandewoestijne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2012-12-17 14:20:00 UTC
DNSCrypt-proxy was updated to version 1.2.0
This patch will update the port accordingly.

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2012-12-17 19:44:31 UTC
State Changed
From-To: open->feedback

Thank you for your submission. While testing I have found that your port 
doesn't register all dependencies when compiling on live system: 

[corn:ports/dns/dnscrypt-proxy]# pkg-lib-check dnscrypt-proxy-1.2.0/ 
ERR:  not registered missing dependency devel/libexecinfo 

Also your port uses old ports framework (NOPORTDOCS), please convert 
this to our new framework, thanks.
Comment 2 dfilter service freebsd_committer 2013-01-02 20:51:53 UTC
Author: rm
Date: Wed Jan  2 20:51:44 2013
New Revision: 309836
URL: http://svnweb.freebsd.org/changeset/ports/309836

Log:
  - update to 1.2.0 [1,2]
  - update MASTER_SITES list [1,2]
  - add hidden devel/libexecinfo dependency (reported by pawel@)
  
  while here:
  - trim Makefile header
  - convert to optionsng (PORTDOCS case)
  - tab -> space change in pkg-descr:WWW
  
  PR:		173190 [1]
  PR: 174514 [2]
  Submitted by:	csosstudy <csosstudy@gmail.com> [1], Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer) [2]

Modified:
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/distinfo
  head/dns/dnscrypt-proxy/pkg-descr

Modified: head/dns/dnscrypt-proxy/Makefile
==============================================================================
--- head/dns/dnscrypt-proxy/Makefile	Wed Jan  2 20:24:13 2013	(r309835)
+++ head/dns/dnscrypt-proxy/Makefile	Wed Jan  2 20:51:44 2013	(r309836)
@@ -1,20 +1,17 @@
-# New ports collection makefile for:	dnscrypt-proxy
-# Date created:		15 May 2012
-# Whom:			Leo Vandewoestijne <freebsd@dns-lab.com>
-#
+# Created by: Leo Vandewoestijne <freebsd@dns-lab.com>
 # $FreeBSD$
-#
 
 PORTNAME=	dnscrypt-proxy
-PORTVERSION=	1.0.1
+PORTVERSION=	1.2.0
 CATEGORIES=	dns
 MASTER_SITES=	http://cloud.github.com/downloads/opendns/dnscrypt-proxy/ \
-		http://www.Awfulhak.org/dnscrypt-proxy/ \
-		http://people.FreeBSD.org/~brian/dnscrypt-proxy/
+		http://www.dns-lab.com/downloads/dnscrypt-proxy/
 
 MAINTAINER=	freebsd@dns-lab.com
 COMMENT=	Boost privacy and security of DNS
 
+LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo
+
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 
@@ -27,12 +24,14 @@ MAN8=		dnscrypt-proxy.8 hostip.8
 PORTDOCS=	AUTHORS ChangeLog COPYING INSTALL NEWS \
 		README README.markdown TECHNOTES THANKS
 
+.include <bsd.port.options.mk>
+
 pre-install:
 	@${INSTALL_MAN} ${WRKSRC}/man/dnscrypt-proxy.8 ${MAN8PREFIX}/man/man8/
 	@${INSTALL_MAN} ${WRKSRC}/man/hostip.8 ${MAN8PREFIX}/man/man8/
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	@${INSTALL_DATA} ${PORTDOCS:S,^,${WRKSRC}/,} ${DOCSDIR}/
 .endif

Modified: head/dns/dnscrypt-proxy/distinfo
==============================================================================
--- head/dns/dnscrypt-proxy/distinfo	Wed Jan  2 20:24:13 2013	(r309835)
+++ head/dns/dnscrypt-proxy/distinfo	Wed Jan  2 20:51:44 2013	(r309836)
@@ -1,2 +1,2 @@
-SHA256 (dnscrypt-proxy-1.0.1.tar.gz) = 9852a8dcae200c9965697b29fdaffb8ee1dc8602420afdb8763811a7996d6a7f
-SIZE (dnscrypt-proxy-1.0.1.tar.gz) = 1359907
+SHA256 (dnscrypt-proxy-1.2.0.tar.gz) = 02ae6360887995d73d4c02ea7fa0cc8cad4a4de61f89c2fd68674a65f427b333
+SIZE (dnscrypt-proxy-1.2.0.tar.gz) = 1666090

Modified: head/dns/dnscrypt-proxy/pkg-descr
==============================================================================
--- head/dns/dnscrypt-proxy/pkg-descr	Wed Jan  2 20:24:13 2013	(r309835)
+++ head/dns/dnscrypt-proxy/pkg-descr	Wed Jan  2 20:51:44 2013	(r309836)
@@ -3,4 +3,4 @@ should use to boost online privacy and s
 by encrypting all DNS traffic between the user and OpenDNS,
 preventing any spying, spoofing or man-in-the-middle attacks.
 
-WWW:	https://www.opendns.com/technology/dnscrypt/
+WWW: https://www.opendns.com/technology/dnscrypt/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-02 20:53:01 UTC
State Changed
From-To: feedback->closed

Committed, thank you!